1. 09 Apr, 2018 1 commit
  2. 21 Mar, 2018 1 commit
  3. 28 Feb, 2018 1 commit
  4. 30 Jan, 2018 1 commit
  5. 29 Sep, 2017 1 commit
  6. 31 Jul, 2017 1 commit
  7. 05 Aug, 2016 1 commit
    • Henry Weller's avatar
      C++11: Update compilation rules to specify C++11 support and conformance · 7996a913
      Henry Weller authored
      The change from C++0x to C++11 allows all of C++11 functionality to be
      used in OpenFOAM, in particular constructor delegation which avoids code
      duplication or constructor helper functions.  However, this also means a
      change to the minimum gcc version supported which is now 4.7 rather than
      4.5.
      
      Note that gcc-4.7 does not support the entire C++11 standard but does
      support all of the functionality currently needed for further OpenFOAM
      development.  The minimum gcc-version which supports the entire C++11
      standard is 4.8 which is now the recommended minimum gcc version.
      7996a913
  8. 24 Jan, 2016 1 commit
    • Henry Weller's avatar
      wmake: Add support for compiler type default rules · c3a03105
      Henry Weller authored
      which may be optionally overridden by version-specific rules.
      
      For example the default rules for gcc on GNU/Linux x86_64 are in the
      wmake/rules/linux64Gcc directory.  If there is a need to change any of
      the rules for a specific version of gcc, e.g. gcc-4.8.4 the directory
      wmake/rules/linux64Gcc48 may be created into which any of the language
      files may be provided containing the rules to override the defaults.
      c3a03105
  9. 10 Jan, 2016 1 commit
  10. 19 Jul, 2015 1 commit
  11. 17 Jul, 2015 1 commit
  12. 14 Dec, 2014 1 commit
  13. 07 Jan, 2011 1 commit
  14. 31 Aug, 2010 1 commit
  15. 19 Aug, 2010 1 commit
  16. 17 Sep, 2009 1 commit
  17. 19 Aug, 2009 1 commit
  18. 18 Aug, 2009 1 commit
  19. 29 Jul, 2009 1 commit
    • Mark Olesen's avatar
      Add provisioning for gcc-4.4.1 · efce7376
      Mark Olesen authored
      - compile into linux64Gcc44, linuxGcc44 to avoid clashes during testing
      - continue to use gmp-4.2.4 since gmp-4.3.x might be miscompiled with
        a system gcc-4.3.2
      efce7376
  20. 28 Apr, 2009 1 commit
  21. 02 Feb, 2009 1 commit
  22. 21 Jan, 2009 1 commit
  23. 24 Jul, 2008 1 commit
  24. 09 Jul, 2008 2 commits
  25. 15 Apr, 2008 1 commit